package parser

import (
	"time"
)

// --- IR Types ---

type Workout struct {
	Date      time.Time
	Type      string
	Note      string
	SetGroups []SetGroup
}

type SetGroup struct {
	Exercise    string
	Type        string
	Note        string
	PlannedSets []Set
	ActualSets  []Set
}

type Set struct {
	Weight float64
	Reps   int
	Note   string
	Time   time.Time
	RIR    int
}

type Measurement struct {
	Date     time.Time
	Variable string
	Value    float64
	Note     string
}
